> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search products

> Searches products by the required `q` query parameter. Use `GET /dev/v1/products` to list products without a search term.



## OpenAPI

````yaml /openapi.json get /dev/v1/products/search
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/products/search:
    get:
      tags:
        - Products
      summary: Search products
      description: >-
        Searches products by the required `q` query parameter. Use `GET
        /dev/v1/products` to list products without a search term.
      operationId: getDevV1ProductsSearch
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
        - name: include_variants
          in: query
          required: false
          schema:
            type: string
        - name: includeVariants
          in: query
          required: false
          schema:
            type: string
        - name: locale
          in: query
          required: false
          description: Locale for translated catalog content.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  pagination:
                    type: object
                    required:
                      - next_cursor
                      - has_more
                    properties:
                      next_cursor:
                        type: string
                        nullable: true
                      has_more:
                        type: boolean
                example:
                  data:
                    - id: prod_db_1
                      uniqid: prod_1
                      shop_id: shop_1
                      slug: starter-pack
                      type: DYNAMIC
                      title: Starter Pack
                      currency: USD
                      price: 19.99
                      price_display: 19.99
                      description: Product description
                      description_tabs:
                        - title: Features
                          content: <p>Instant delivery, 24/7 support.</p>
                      gateways:
                        - PAYPAL
                      custom_fields: []
                      delivery_instructions: null
                      volume_discounts: []
                      quantity_min: 1
                      quantity_max: -1
                      quantity_warning: 0
                      stock: 0
                      stock_delimiter: |+

                      unlisted: false
                      private: false
                      on_hold: false
                      sort_priority: 0
                      crypto_confirmations: 1
                      max_risk_level: 0
                      block_vpn_proxies: false
                      delivery_text: ''
                      delivery_time: null
                      service_text: ''
                      dynamic_webhook: null
                      created_at: 1711965600
                      updated_at: 1711965600
                      variants:
                        - id: var_1
                          uniqid: var_1
                          title: Monthly
                          description: null
                          price: 9.99
                          price_display: 9.99
                          stock: 5
                          is_default: true
                          sort_order: 0
                  pagination:
                    next_cursor: null
                    has_more: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '401':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '422':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                example:
                  error:
                    code: VALIDATION_ERROR
                    message: Validation failed
                    doc_url: https://docs.shoppex.io/api-reference/errors
                    details:
                      - field: q
                        message: Search query is required
        '429':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````